Aller au contenu principal

Messages

Cette espace vous permet de voir toutes les Messages réalisées par ce membre. Vous ne pouvez voir que les Messages réalisées dans les espaces auxquels vous avez accès.

Messages - Chumi

4
Installation et boot / Re : Ecran " konsole"
@jenrem : Il faut faire le distinguo entre ce que tu as subi et ce que Philoupes qui utilise les drivers propriétaires de Nvidia je crois, rencontre comme souci récurrent. Il pourrait revenir en arrière avec un snapshot et rencontrer très vite le même problème avec la maj qui ne manquera pas de s'annoncer. Lui doit revenir sur un ancien kernel et patienter pour Nvidia. Je ne sais pas comment ça se goupille maintenant sur openSUSE car il y a longtemps que je n'ai plus de carte graphique Nvidia mais j'ai connu ça avec Mandrake : maj du kernel, paf! je ne retrouvais plus d'interface graphique pour me connecter. Je bootais sur un ancien kernel et quand le pilote Nvidia était prêt pour le nouveau kernel, je mettais à jour le pilote à la main hors interface graphique (un truc comme ça, un peu brumeux dans ma mémoire, impressionnant la première fois, une routine ensuite).

5
Installation et boot / Re : Ecran " konsole"
Bonsoir,
J'ai eu le même problème ces derniers jours.
Mise a jour de TW + Nvidia = Paf ...
En attendant la mise à jour corrective je démarre simplement sur le Kernel d'avant (Grub : 2ème option et choisir le noyau antérieur)
Pour l'instant ça va ...
Ce soir il semble y avoir de la MàJ ... Je vais regarder
Amicalement
Philippe

Ah oui! j'oubliais complètement cette histoire avec Nvidia  :-[
6
Installation et boot / Re : Ecran " konsole"
Je suis entrain de récupérer toutes les infos du lien que tu m'as donné.
J'en fait la traduction avec deepl , beaucoup de lecture ,et c'est plus facile pour moi en français
Je voudrais essayer quelques chose :
Si je démarre sur sur la config  où j'ai perdu l'affichage , en installant un kernel plus récent , aurais je la possibilité de corriger le défaut ?
Par contre la commande pour installer un kernel seul , ce serait : " zypper install kernel x.x.x.x"

Bonsoir,

On va faire simple et en français (moi aussi j'ai recours aux traducteurs en ligne  ;) ).

Quand tu démarres sur un instantané, si tu parviens à te connecter à ton espace personnel, tu vérifies que tout fonctionne en gros (les programmes et deux ou trois autres choses qui te tiennent à cœur). Une bonne partie du système est en lecture seule et tu ne peux pas faire de mise à jour (c'est normal). Si le fonctionnement te paraît correcte il faut ensuite procéder à la restauration proprement dite du système.

Une petite commande dans le terminal suffit :

sudo snapper rollback

Et ensuite tu redémarres.

Concernant le kernel, je ne sais pas, mais ton idée de redémarrer sur un kernel plus récent (que quoi?) me semble aventureuse. On peut par contre démarrer sur un kernel plus ancien à partir de Grub mais ce n'est pas la première chose à tenter.

Dans l'ordre à mon avis il faut d'abord essayer un snapshot et si tout va bien, procéder à sa restauration comme indiqué précédemment.
7
Installation et boot / Re : Ecran " konsole"
Bonjour,

J'ai fait quelques recherches et à priori tu rencontres peut-être un problème avec l'instantané sur lequel tu es reparti. Il est en lecture seule afin de vérifier si tout fonctionne comme tu veux (je ne parle pas des majs impossibles à effectuer dans ce contexte) et si oui il faut ensuite le restaurer. L'as-tu fait?

3.3 System rollback by booting from snapshots

8
Programmes et logiciels / Re : Les codecs libres openh264
Bonjour
J'ai un problème avec packman https://www.alionet.org/index.php?topic=1463.0 et je vois ce post. J'essaie et pareil que pour scaff, ça ne fonctionne pas. Pourtant le dépôt est bien installé et actif. D'ailleurs une recherche avec zypper pour gstreamer-1.20-plugin-openh264 me le confirme.
Je regarde l'adresse du dépôt qui est installé pendant l'installation de tumbleweed et elle commence par https
Avec yast, je modifie en mettant http et hop gstreamer-1.20-plugin-openh264 est installé. Super  :)
Par contre c'est vraiment dommage que ça ne fonctionne pas dès l'installation quand même. C'est fort je trouve  ::)

La maj bloquante avec Mesa est bien passée ce soir chez moi. Donc à priori tu peux y aller avec Packman.

Ceci-dit ce serait bien de faire le point sur ce nouveau dépôt que je range dans l'officiel (contrôlé par openSUSE), ce qui en soi est avantageux et rassurant.

Personnellement, les codecs, je ne chipote pas, je fais comme il est recommandé dans le guide non officiel (à la sauce Tumbleweed bien sûr). Tant que tout fonctionne je ne m'inquiète pas mais je suis incapable de faire le détail de l'utilité de tel ou tel codec.

Bref, ce nouveau dépôt couvre t-il exactement les mêmes besoins que ceux que remplit Packman actuellement?
10
Général / Re : Evolution de Tumbleweed au fil du temps
@orion : ta réponse est mal formatée  ;) 

Ah oui, je vois qu'il est question d'un plan d'atténuation pour le changement de niveau de la micro-architecture :
https://news.opensuse.org/2022/11/28/tw-to-roll-out-mitigation-plan-advance-microarchitecture/

En fait j'avais déjà lu quelque chose comme ça, merci de me rafraîchir la mémoire, et c'est vrai que la prise en compte des retours de la communauté est très bien.
11
Installation et boot / Re : Ecran " konsole"
Bonsoir,

Quelques retours de ce qui se passe exactement dans le terminal seraient utiles.

Ceci dit plutôt que de faire en sorte d'ignorer ce paquet lors de la mise à jour,  je chercherais pour ma part à faire en sorte qu'il passe avec (quitte à revoir après à quoi il m'est utile, ou nécessaire au système).

Une idée comme ça qui n'a pas jailli de ma tête :

sudo zypper clean --all

Et tu retentes la maj ensuite. Bon, les majs sont délicates en ce moment mais pour d'autres raisons. J'espère que cela ne va pas interférer.
13
Général / Re : Dépot packman, je ne comprends pas
Bonjour,

Un zypper dup du jour avec Packman en place comme il se doit (fournisseur changé) me donne ceci :

Lecture des paquets installés...
Avertissement : Vous êtes sur le point d'exécuter une mise à niveau de distribution avec tous les dépôts activés. Assurez-vous que ces dépôts sont compatibles avant de continuer. Reportez-vous à 'man zypper' pour obtenir plus d'informations sur cette commande.
Calcul de la mise à niveau de la distribution...
2 problèmes :
Problème : l'élément Mesa-gallium-22.3.3-340.1.x86_64 installé nécessite 'Mesa = 22.3.3', mais cette exigence ne peut pas être remplie
Problème : l'élément Mesa-22.3.3-340.1.x86_64 installé nécessite 'Mesa-libEGL1 = 22.3.3', mais cette exigence ne peut pas être remplie

Problème : l'élément Mesa-gallium-22.3.3-340.1.x86_64 installé nécessite 'Mesa = 22.3.3', mais cette exigence ne peut pas être remplie
  fournisseurs supprimés : Mesa-22.3.3-340.1.x86_64
 Solution 1 : Les actions suivantes seront exécutées :
  conserver l'élément Mesa-22.3.3-340.1.x86_64 obsolète
  conserver l'élément Mesa-libGL1-22.3.3-340.1.x86_64 obsolète
 Solution 2 : installer Mesa-gallium-22.3.4-340.1.x86_64 du fournisseur openSUSE
en remplaçant Mesa-gallium-22.3.3-340.1.x86_64 du fournisseur http://packman.links2linux.de
 Solution 3 : installer Mesa-gallium-22.3.4-341.1.i586 malgré l'architecture inférieure
 Solution 4 : casser Mesa-gallium-22.3.3-340.1.x86_64 en ignorant certaines de ses dépendances

Choisir une des solutions ci-dessus par son numéro ou bien sauter, recommencer ou annuler [1/2/3/4/s/r/a/d/?] (a): a

J'annule et j'attends. À priori ce n'est pas le moment de bricoler avec Packman  qui me semble en retard comme il y a quelques jours. Tu noteras qu'il y a chez moi une solution 3 qui me propose l'installation d'un paquet dans une architecture inférieure.  L'urgent est peut-être de ne rien faire pour le moment et d'attendre des retours ultérieurs comme quoi les majs passent sans encombre avant d'installer Packman et de changer de fournisseur.

Sur le forum officiel, en anglais et en espagnol, c'est aussi signalé :

https://forums.opensuse.org/t/messed-up-mesa-drivers/164022
https://forums.opensuse.org/t/error-con-mesa-al-actualizar-opensuse-tumbleweed/164023

Ailleurs :
https://www.reddit.com/r/openSUSE/comments/10o5to1/cant_install_codecs_on_new_opensuse_tumbleweed/
https://lists.links2linux.de/pipermail/packman/2023-January/017391.html
14
Général / Re : Evolution de Tumbleweed au fil du temps
Qu'ils soient utiles voire parfois indispensables pour le gaming, sans doute. Pour la PAO et le graphiqme c'est très exagéré pour ne pas dire totalement faux... Sans ouvrir la boite de Pandore, fonctionner sans pilote nvidia (volontairement), que ce soit sur W10/11 ou Linux, n'empêche pas du tout de travailler ou vendre dans le graphisme (et là j'ouvre la boite de Pandore ? Avis mais aussi pratique personnelle...)

Plus simple encore, pas de jeux ceci-dit, j'utilise darktable et je n'ai pas de carte graphique. Je ne crois pas pour le moment et à mon niveau que ce soit une nécessité absolue car je ne me sens presque pas impacté pour le moment par son absence. L'utilisation de quelques modules du logiciel en souffrirait certainement s'ils m'étaient indispensables (et savamment utilisés) ou si je devais raisonner en termes de productivité. Je m'accommode de l'imperfection (enfin!) et j'ai le temps (enfin!)... c'est presque paradoxale sans les parenthèses ;)

Pour ne pas trop m'étendre sur le sujet, voici deux articles qui méritent je crois un peu d'attention :

darktable et OpenCL : j'achète une carte graphique ou pas ?

Choisir son ordinateur pour la photo, la vidéo, ect.

Maintenant si le futur de la photo est du côté des intelligences artificielles comme c'est exprimé dans le premier article, une carte graphique s'impose sans doute apparemment mais ce futur ne m'emballe pas (des trucs bizarres au delà de la photographie, d'une créativité plus douteuse que l'ordinaire actuel, commencent déjà à remonter à ce sujet il me semble).

Quant à l'évolution de Tumbleweed, à titre personnel et pour revenir au sujet, je ne vois des obstacles à venir pour moi qu'au niveau des processeurs sur mes machines. Il sera peut-être alors temps de les remplacer.. ou pas, et voir ailleurs dans le cas contraire où je ne pourrais pas ou ne voudrais plus. Mais sinon ça roule en attendant et pour un moment encore je crois, enfin je l'espère :

openSUSE Tumbleweed Begins Transitioning To x86-64-v2 CPU Requirements
15
Présentations / Re : Je me présente : Scaff
Bonjour et bienvenue,

Le niveau de connaissance est relatif même avec des années de pratique. Tout dépend des besoins auxquels on veut répondre en utilisant un ordinateur. Par contre, la pratique marque la mémoire et permet d'acquérir quelques connaissances à la longue. Donc voilà, il faut se lancer comme tu viens de le faire  ;)